	//*********************************\\
	// LUN3DM1- CORIOLIS STORM Shaders \\
	//  Feel free to modify and steal  \\
	//*********************************\\

textures/lundesert/x_support_nocull
{
	surfaceparm	metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	{
		map textures/base_support/x_support.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/lundesert/dust1
//Thin dust over the entire lower level
{
	qer_editorimage textures/sfx/hellfog.tga
//	fogonly
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
//	fogGen noise 0 1 0 0.25
	fogparms ( .85 .45 .075 ) 4800
}


textures/lundesert/lpjgrate
// The non-fuxx0red version!
{
	qer_editorimage textures/base_floor/pjgrate2.tga
	surfaceparm	metalsteps		
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm playerclip
//	surfaceparm nopicmip
	surfaceparm nomipmap
//	cull none
	{
		map textures/base_floor/pjgrate2.tga
//		tcMod scale 0.5 0.5
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//The next four textures all used to have cull disabled, but it killed the framerate in that area with all the other alpha surfaces (like the girders and the big canvas).  This looks better anyway.

textures/lundesert/lclang_ow2
//clang_dark with a bigass rusty hole
{
	qer_editorimage textures/lundesert/lclang_ow.tga
	surfaceparm metalsteps
//	surfaceparm playerclip
//	surfaceparm alphashadow
//	surfaceparm trans
	{
		map textures/lundesert/lclang_ow.tga
//		blendFunc GL_ONE GL_ZERO
//		alphaFunc GT0
//		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
	}
}

textures/lundesert/lclang_ow_ns
//clang_dark with a bigass rusty hole that you can fall through
{
	qer_editorimage textures/lundesert/lclang_ow.tga
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/lundesert/lclang_ow.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/lundesert/lconcrete_ow2
//concrete_dark with a bigass cracked hole
{
	qer_editorimage textures/lundesert/lconcrete_ow.tga
//	surfaceparm metalsteps
//	surfaceparm playerclip
//	surfaceparm alphashadow
//	surfaceparm trans
	{
		map textures/lundesert/lconcrete_ow.tga
//		blendFunc GL_ONE GL_ZERO
//		alphaFunc GT0
//		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
	}
}

textures/lundesert/lconcrete_ow_ns
//concrete_dark with a bigass cracked hole that you can fall through
{
	qer_editorimage textures/lundesert/lconcrete_ow.tga
//	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/lundesert/lconcrete_ow.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/lundesert/ceil1_38_1k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	// Square dirty white llight - Darkened by Lunaran
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lundesert/ceil1_38_2500
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	// Square dirty white llight - Darkened by Lunaran
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lundesert/ceil1_38_5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	// Square dirty white llight - Darkened by Lunaran
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lundesert/lborder12
//Non light emitting, and browner - Lunaran
{
	qer_editorimage textures/base_trim/border12b.tga
//	q3map_surfacelight 100	
	q3map_lightimage textures/base_trim/border12bfx.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/border12b.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lundesert/lborder12fx.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/lundesert/luncomp1
{
	{
		map textures/lundesert/sandfx.tga
		rgbGen identity
		tcGen environment
	}
//	{
//		map $lightmap
//		tcGen environment
//		blendFunc GL_ONE GL_ONE
//	}
	{
		map textures/base_wall/comp3c.tga
		tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/lundesert/volulight
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 500
	// For when blanketing pointlights just don't cut it
	// Note that I never actually used this
}

textures/lundesert/lightl_2k
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
//	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lundesert/lightl_1500
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
//	light 1
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lundesert/lightl_1k
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
//	light 1
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lundesert/lightl_500
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
//	light 1
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lundesert/lightl_2kflicker
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
//	light 1
	surfaceparm nomarks
	q3map_surfacelight 1900
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendFunc GL_ONE GL_ONE
//		rgbGen wave noise -10 15 0 4
		rgbGen wave noise 6 8 0 4
	}
}

textures/lundesert/lungrill1shiny
{
	qer_editorimage textures/base_floor/proto_grill.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_floor/proto_grill.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		tcGen environment
//		tcMod scale 0.166 0.166
		blendFunc GL_DST_COLOR GL_ONE
	}
}

//Sun parms:  red grn blu light degrees elevation
textures/lundesert/lundessky1
{
//	qer_editorimage textures/skies/intelredclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 3 2.5 2 100 315 70
	q3map_surfacelight  30 
	skyparms - 512 -
	{
		map textures/lundesert/lundessky1.tga
		tcMod scroll 0.035 .015
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.015 0.016
		tcMod scale 3 2
	}
//	{
//Failed attempt at making a typhoon whirling high overhead - kept crashing oddly, and it wouldn't line up straight anyhow.
//		clampMap textures/lundesert/coriolis.tga
	//	map textures/lundesert/coriolis.tga
//		blendFunc GL_DST_COLOR GL_ZERO
//		tcMod scale 4 4
//		tcMod rotate 5
//	}
}

//I had originally used these other two skies to get a variety of good sun directions, but I found that q3map was only recognizing the first one.  I'm too lazy to put comment lines all over the damn place, so I'm just leaving these.
textures/lundesert/lundesert2
{
	qer_editorimage textures/skies/intelredclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
//Brighter that lundesert1 - used for small windows and the fan chute
	q3map_sun 3 2.5 2 300 0 90
	q3map_surfacelight  150 
	skyparms - 512 -
	{
		map textures/lundesert/lundessky1.tga
		tcMod scroll 0.035 .015
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.015 0.016
		tcMod scale 3 2
	}
}

textures/lundesert/lundesert3
{
	qer_editorimage textures/skies/intelredclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 3 2.5 2 100 170 40
//	Reversed sun direction to get some good shadows going on the big flag. 
	q3map_surfacelight 20
	skyparms - 512 -
	{
		map textures/lundesert/lundessky1.tga
		tcMod scroll 0.035 .015
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.015 0.016
		tcMod scale 3 2
	}
}

textures/lundesert/lunmetsupport4
{
	qer_editorimage textures/gothic_trim/metalsupport4j.tga
//	surfaceparm nonsolid
	{
		map textures/effects/tinfx.tga
		tcGen environment
	}
	{
		map textures/lundesert/lunmetsupport4.tga
		rgbGen identity
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO //GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/lundesert/luncanvas1
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2	
	deformVertexes wave 100 sin 0 3 0 .7
     	{
		map textures/lundesert/luncanvas1.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/lundesert/ld_eagle
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
// This makes the bird take a more irregular path as the func_rotating goes around
	deformVertexes move 1 0 0.5 sin 0 48 0 0.042
//	deformVertexes wave 32 sin 0 8 0 0.3
     	{
		map textures/lundesert/ld_eagle.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/lundesert/clanggrate2glow
{
//	q3map_surfacelight 50
//	q3map_lightimage textures/lundesert/cgrate2_lglow.tga
	qer_editorimage textures/base_floor/clanggrate2.tga
	{
		map textures/base_floor/clanggrate2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lundesert/cgrate2_lglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.333
	}
}

textures/lundesert/lungrill1glow
{
//	q3map_surfacelight 200
//	q3map_lightimage $white
	qer_editorimage textures/base_floor/proto_grill.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_floor/proto_grill.tga
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin 0.5 0.5 0 0.333
		rgbGen identity
	}
	{
		map textures/lundesert/lun_grill1glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.333
	}
}

textures/lundesert/scrub1
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	{
		map textures/lundesert/scrub1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/lundesert/scrub2
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	{
		map textures/lundesert/scrub2.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lundesert/scrub3
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	{
		map textures/lundesert/scrub3.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//Not used: doesn't rotate around the right point
textures/lundesert/lunslowfan
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcMod rotate 64
		tcMod scale 0.25 0.25
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}